---
title: Blob.type
slug: Web/API/Blob/type
tags:
  - API
  - Blob
  - DOM
  - File
  - File API
  - Format
  - MIME
  - MIME Type
  - Property
  - Reference
  - Type
---
<div>{{APIRef("File API")}}</div>

<p><span class="seoSummary">The <strong><code>type</code></strong> property of a {{domxref("Blob")}} object returns the {{Glossary("MIME type")}} of the file.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mimetype</em> = <em>blob</em>.type</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the file's MIME type, or an empty string if the type could not be determined.</p>

<h2 id="Example">Example</h2>

<p>This example asks the user to select a number of files, then checks each file to make sure it's one of a given set of image file types.</p>

<pre class="brush:js">var i, fileInput, files, allowedFileTypes;

// fileInput is a HTMLInputElement: &lt;input type="file" multiple id="myfileinput"&gt;
fileInput = document.getElementById("myfileinput");

// files is a FileList object (simliar to NodeList)
files = fileInput.files;

// our application only allows GIF, PNG, and JPEG images
allowedFileTypes = ["image/png", "image/jpeg", "image/gif"];

for (i = 0; i &lt; files.length; i++) {
  // Test if file.type is an allowed file type.
  if (allowedFileTypes.indexOf(<strong>files[i].type</strong>) &gt; -1) {
    // file type matched is one of allowed file types. Do something here.
  }
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('File API', '#dfn-type', 'Blob.type')}}</td>
   <td>{{Spec2('File API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Blob.type")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Blob")}}</li>
 <li><a href="/en-US/docs/Web/API/File/Using_files_from_web_applications">Using files from web applications</a></li>
</ul>
